SDL_GetAudioDeviceName(3)

NAME
SDL_GetAudioDeviceName - Get the human-readable name of a specific audio device.

SYNOPSIS
#include <SDL3/SDL_audio.h>

const char * SDL_GetAudioDeviceName(SDL_AudioDeviceID devid);

FUNCTION PARAMETERS

devid
    the instance ID of the device to query.

RETURN VALUE
for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetAudioPlaybackDevices(3), SDL_GetAudioRecordingDevices(3)